using UnityEngine;

namespace CheesyFX
{
    public class MaleStimulation : MonoBehaviour
    {
        private Penetrator penetrator;
        private JSONStorableFloat stimulation = new JSONStorableFloat("Stimulation", 0f, 0f, 1f);


        public void Stimulate(float val)
        {
            stimulation.val += val;
        }

        private void Update()
        {
            if (stimulation.val > .01f) stimulation.val = Mathf.Lerp(stimulation.val, 0f, 2f + Time.fixedDeltaTime);
            else
            {
                stimulation.val = 0f;
                if(!penetrator.isPenetrating) enabled = false;
            }
        }
    }
}